package com.dzeio.openhealth.core

import androidx.lifecycle.LiveData
import androidx.room.*
import com.dzeio.openhealth.db.entities.Weight

interface BaseDao<T> {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(vararg obj: T)

    @Update
    fun update(vararg obj: T)

    @Delete
    fun delete(vararg obj: T)
}