package com.dzeio.openhealth.db.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.sql.Timestamp

@Entity()
data class Weight (
    @PrimaryKey(autoGenerate = true) var id: Long = 0,
    var weight: Float = 0f,
    @ColumnInfo(index = true)
    var timestamp: Long = System.currentTimeMillis(),
    var source: String = ""
)